Loading ...
Sorry, an error occurred while loading the content.

Re: [nslu2-general]/usr/lib/gcc/x86_64-redhat-linux/4.0.0/libstdc++.a: could not read symbols:Bad value

Expand Messages
  • Mike (mwester)
    ... I also build unslung on FC6 -- as well as FC5. I seem to recall that the gcc 4.0.0 compiler with FC4 caused problems, which forced me to upgrade to FC5 in
    Message 1 of 3 , Dec 30, 2006
    • 0 Attachment
      > But it should work. Yesterday i build unslung 6.9-alpha from monotone
      > on FC6 x86_64.

      I also build unslung on FC6 -- as well as FC5. I seem to recall that the
      gcc 4.0.0 compiler with FC4 caused problems, which forced me to upgrade to
      FC5 in order to build Unslung.

      Mike (mwester)
    • siegfried
      Following mwester s advice I just installed FC6 I386 and I am getting these errors after installing monotone .33 and typing make . Can someone tell me what I
      Message 2 of 3 , Mar 7 12:00 PM
      • 0 Attachment
        Following mwester's advice I just installed FC6 I386 and I am getting these
        errors after installing monotone .33 and typing "make".



        Can someone tell me what I am doing wrong? I tried "mtn db migrate" but it
        complained that no database was specified.



        Thanks,

        Siegfried



        [ -e monotone/nslu2-linux.mtn ] || ( mkdir -p monotone && \

        wget http://sources.nslu2-linux.org/monotone/nslu2-linux.mtn.gz
        -O monotone/nslu2-linux.mtn.gz && \

        gunzip monotone/nslu2-linux.mtn.gz )

        ( mtn -d monotone/nslu2-linux.mtn unset database default-server )

        mtn: misuse: database /home/siegfried/dev/slug/main/monotone/nslu2-linux.mtn
        is laid out according to an old schema

        mtn: misuse: try 'mtn db migrate' to upgrade

        mtn: misuse: (this is irreversible; you may want to make a backup copy
        first)

        make: [_MTN/.configured] Error 1 (ignored)

        ( mtn -d monotone/nslu2-linux.mtn unset database default-include-pattern )

        mtn: misuse: database /home/siegfried/dev/slug/main/monotone/nslu2-linux.mtn
        is laid out according to an old schema

        mtn: misuse: try 'mtn db migrate' to upgrade

        mtn: misuse: (this is irreversible; you may want to make a backup copy
        first)

        make: [_MTN/.configured] Error 1 (ignored)

        ( mtn -d monotone/nslu2-linux.mtn pull monotone.nslu2-linux.org
        org.{nslu2-linux.*,openembedded.dev} )

        mtn: misuse: database /home/siegfried/dev/slug/main/monotone/nslu2-linux.mtn
        is laid out according to an old schema

        mtn: misuse: try 'mtn db migrate' to upgrade

        mtn: misuse: (this is irreversible; you may want to make a backup copy
        first)

        make: *** [_MTN/.configured] Error 1

        >________________________________________

        >From: nslu2-general@yahoogroups.com [mailto:nslu2-general@yahoogroups.com]
        On Behalf Of Mike (mwester)

        >Sent: Saturday, December 30, 2006 3:26 PM

        >To: nslu2-general@yahoogroups.com

        >Subject: Re:
        [nslu2-general]/usr/lib/gcc/x86_64-redhat-linux/4.0.0/libstdc++.a: could not
        read symbols:Bad value

        >

        >

        >> But it should work. Yesterday i build unslung 6.9-alpha from monotone

        >> on FC6 x86_64.

        >

        >I also build unslung on FC6 -- as well as FC5. I seem to recall that the

        >gcc 4.0.0 compiler with FC4 caused problems, which forced me to upgrade to

        >FC5 in order to build Unslung.

        >

        >Mike (mwester)



        [Non-text portions of this message have been removed]
      • Marcel Nijenhof
        ... I solved this by installing the same version of monotone as the repository. At this moment the used version is 0.28. See:
        Message 3 of 3 , Mar 9 2:07 PM
        • 0 Attachment
          On Wed, 2007-03-07 at 13:00 -0700, siegfried wrote:
          > Following mwester's advice I just installed FC6 I386 and I am getting
          > these errors after installing monotone .33 and typing "make".
          >
          > Can someone tell me what I am doing wrong? I tried "mtn db migrate"
          > but it complained that no database was specified.

          I solved this by installing the same version of monotone as
          the repository.

          At this moment the used version is 0.28.

          See:
          http://www.nslu2-linux.org/wiki/Development/MasterMakefile

          --
          marceln
        Your message has been successfully submitted and would be delivered to recipients shortly.